# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.83"
name = "breezyshim"
version = "0.7.13"
authors = [
    "Martin Packman <gzlist@googlemail.com>",
    "Jelmer Vernooij <jelmer@jelmer.uk>",
]
build = false
include = [
    "src/*.rs",
    "Cargo.toml",
    "COPYING.txt",
    "src/*/*.rs",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust shim around the Breezy Python API"
homepage = "https://www.breezy-vcs.org/"
documentation = "https://docs.rs/breezyshim"
readme = "README.md"
license = "GPL-2.0+"
repository = "https://github.com/breezy-team/breezyshim"

[features]
auto-initialize = ["dep:ctor"]
debian = [
    "dep:debversion",
    "dep:debian-control",
    "dep:debian-changelog",
    "dep:difflib",
    "dep:deb822-lossless",
]
default = ["auto-initialize"]
dirty-tracker = ["dep:dirty-tracker"]
launchpad = ["dep:launchpadlib"]
sqlx = ["sqlx/postgres"]

[lib]
name = "breezyshim"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"

[dependencies.ctor]
version = ">=0.1,<0.7"
optional = true

[dependencies.deb822-lossless]
version = ">=0.4,<0.6"
optional = true

[dependencies.debian-changelog]
version = ">=0.2.3,<0.3"
optional = true

[dependencies.debian-control]
version = ">=0.1.44,<0.4"
features = ["python-debian"]
optional = true

[dependencies.debversion]
version = ">=0.5.0,<0.6"
features = ["python-debian"]
optional = true

[dependencies.difflib]
version = "0.4.0"
optional = true

[dependencies.dirty-tracker]
version = "0.3"
optional = true

[dependencies.launchpadlib]
version = ">=0.4.5,<0.6"
optional = true
default-features = false

[dependencies.lazy-regex]
version = ">=3.4,<4"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.log]
version = "0.4"

[dependencies.patchkit]
version = ">=0.2.2,<0.3"

[dependencies.percent-encoding]
version = "2.3.1"

[dependencies.pyo3]
version = ">=0.27, <0.29"
features = [
    "chrono",
    "serde",
]

[dependencies.pyo3-filelike]
version = ">=0.5.1,<0.6"

[dependencies.regex]
version = ">=1.10,<2"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.sqlx]
version = ">=0.8,<0.9"
optional = true

[dependencies.tempfile]
version = "3.20.0"

[dependencies.url]
version = "2"
features = ["serde"]

[dependencies.whoami]
version = ">=1.5,<2"

[dev-dependencies.maplit]
version = "1"

[dev-dependencies.pyo3]
version = ">=0.27, <0.29"
features = ["chrono"]

[dev-dependencies.serial_test]
version = ">=2,<4"
default-features = false
